package com.sw.mes.yb.production.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.production.entity.FillingTaskRecipe;

import java.util.List;

/**
 * @Author: xushu
 * @Date: 2022/11/26/15:41
 * @Description:
 */
public interface FillingTaskRecipeService extends BaseService<FillingTaskRecipe> {
    void deleteByAgainTaskDetailId(Long againTaskDetailId);

    List<FillingTaskRecipe> findByAgainTaskDetailId(Long againTaskDetailId);

    List<FillingTaskRecipe> findByIds(List<Long> againTaskDetailIds);
}
